[已解决]安装tor时无法找到openssl

为当前最终发行版之前的所有版本提供支持
回复
头像
amro
帖子: 106
注册时间: 2007-09-04 18:13
送出感谢: 1 次
接收感谢: 0

[已解决]安装tor时无法找到openssl

#1

帖子 amro » 2007-09-30 16:32

命令:
./configure --with-ssl-dir="/usr/share/doc/openssl/doc/ssl" --with-libevent-dir="/usr/local/lib"
系统提示:
checking for OpenSSL directory... configure: error: Could not find a linkable OpenSSL. You can specify an explicit path using --with-ssl-dir

,with-ssl-dir 已经还了好几个目录了,都不行,哪位知道它的正确目录或者我有什么地方弄错?谢谢。

已经实验的目录:
amro@amrohome:~/software/tor-0.1.2.17$ sudo find / -name openssl -print
/usr/bin/openssl
/usr/share/doc/openssl
amro@amrohome:~/software/tor-0.1.2.17$ sudo find / -name ssl -print
/usr/lib/ssl
/usr/share/doc/openssl/doc/ssl
/etc/ssl

=========
已经解决咯,见5楼 :)
=========
/etc/cups/ssl
amro@amrohome:~/software/tor-0.1.2.17$
上次由 amro 在 2007-10-02 7:40,总共编辑 2 次。
头像
bones7456
论坛版主
帖子: 8495
注册时间: 2006-04-12 20:05
来自: 杭州
送出感谢: 0
接收感谢: 8 次
联系:

#2

帖子 bones7456 » 2007-09-30 16:50

为什么不直接装源里面的tor??
关注我的blog: ε==3
头像
amro
帖子: 106
注册时间: 2007-09-04 18:13
送出感谢: 1 次
接收感谢: 0

#3

帖子 amro » 2007-09-30 17:26

我不想用源里面地,谢谢。
头像
amro
帖子: 106
注册时间: 2007-09-04 18:13
送出感谢: 1 次
接收感谢: 0

#4

帖子 amro » 2007-10-01 8:08

恩,去IRC问了一下,说是要openssl的dev,但是无论是源还是freshmeat 都找不到这个软件包。请问谁知道怎么办?
头像
amro
帖子: 106
注册时间: 2007-09-04 18:13
送出感谢: 1 次
接收感谢: 0

#5

帖子 amro » 2007-10-02 7:43

You've probably only got the OpenSSL runtime stuff installed. You'll
need the developer packages, too. On Debian this in the libssl-dev
package. Check your distro for -dev or -devel packages pertaining to
openssl or libssl. (And any other libraries that 囗囗囗 depends on!)

看这个帖子解决的,原地址(http://www.hostingforum.ca/491190-installing-tor-linux.html)

在我的机器上(ubntu7.04)安装libssl-dev之后就可以了,如下命令即可安装:

./configure --with-libevent-dir="/usr/local/lib" &make &sudo make install

ps: 可能只当自己编译安装包,并且libevent是另外编译安装的最新版本的时候才需要--with-libevent-dir="/usr/local/lib"
回复

回到 “老旧版本支持”